<template>
  <div>
    <a class="logo">
      News Search
    </a>
    <div class="top-menu">
      <div class="top-menu-right">
        <router-link to="/">
          <span class="menu-item"> Top News </span>
        </router-link>
        <router-link to="/bookmarks">
          <span class="menu-item active"> Bookmarks </span>
        </router-link>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  name: "Header",
};
</script>
<style>
.logo {
  color: #fff;
  float: left;
  font-size: 15px;
  text-transform: uppercase;
  height: 50px;
  vertical-align: middle;
  align-items: center;
  display: flex;
  padding: 0 10px;
}
.top-menu {
  background: #292929;
  width: 100%;
  height: 50px;
}

.top-menu-right > a {
  border-right: solid #465157 1px;
  color: #d4cdcd;
  display: block;
  float: left;
  font-size: 14px;
  padding: 0px 20px 0px;
  text-decoration: none;
  position: relative;
  top: 21px;
  height: 14px;
}
.top-menu-right a:hover {
  color: #fff;
}
.top-menu-right {
  float: right;
}
@media (max-width: 500px) {
  .top-menu-right {
    display: none;
  }
}
.router-link-active span {
  color: #fff;
}
</style>
